Package org.jfree.layouting.renderer.model.table.rows

## Interface TableRowModel

- All Known Implementing Classes:
    `AbstractRowModel`, `SeparateRowModel`

      public interface TableRowModel

  Creation-Date: 22.07.2006, 13:20:23
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRow​(TableRow row)` |
    `void` | `clear​()` |
    `long` | `getPreferredSize​()` |
    `TableRow` | `getRow​(int i)` |
    `int` | `getRowCount​()` |
    `TableRow[]` | `getRows​()` |
    `long` | `getRowSpacing​()` |
    `TableSectionRenderBox` | `getTableSection​()` |
    `void` | `validateActualSizes​()` |
    `void` | `validateSizes​()` |

- - ### Method Detail

    - #### addRow

          void addRow​(TableRow row)

    - #### getRowCount

          int getRowCount​()

    - #### getTableSection

          TableSectionRenderBox getTableSection​()

    - #### getRow

          TableRow getRow​(int i)

    - #### getRows

          TableRow[] getRows​()

    - #### getRowSpacing

          long getRowSpacing​()

    - #### validateSizes

          void validateSizes​()

    - #### validateActualSizes

          void validateActualSizes​()

    - #### getPreferredSize

          long getPreferredSize​()

    - #### clear

          void clear​()